रिगिंग API
ह्यूमनॉइड 3D मॉडल में एक स्केलेटन (आर्मेचर) जोड़ें और मेश को उससे बाइंड करें, ताकि कैरेक्टर एनिमेट करने के लिए तैयार हो जाए। किसी रिग्ड कैरेक्टर पर एनिमेशन लागू करने के लिए, Animation API देखें।
रिगिंग केवल स्टैंडर्ड ह्यूमनॉइड (बाइपेडल) कैरेक्टर्स के साथ अच्छी तरह काम करती है जिनकी लिम्ब और बॉडी संरचना स्पष्ट रूप से परिभाषित हो।
एक Rigging टास्क बनाएं
एक 3D मॉडल के लिए Rigging टास्क बनाता है। जब टास्क सफल होता है, तो यह स्टैंडर्ड फॉर्मेट में एक रिग्ड कैरेक्टर लौटाता है और, वैकल्पिक रूप से, बेसिक वॉकिंग और रनिंग एनिमेशन भी।
यह टास्क बैकग्राउंड में चलता है। किसी टास्क को आमतौर पर कितना समय लगता है, इसके लिए देखें प्रोसेसिंग टाइम।
Rigging इन मॉडलों के लिए उपयुक्त नहीं है:
- बिना टेक्सचर वाले मेश
- नॉन-ह्यूमनॉइड एसेट
- अस्पष्ट लिम्ब और बॉडी स्ट्रक्चर वाले ह्यूमनॉइड एसेट
Request
# Rig a model from a URL
curl https://api.meshy.ai/openapi/v1/rigging \
-X POST \
-H "Authorization: Bearer ${YOUR_API_KEY}" \
-H 'Content-Type: application/json' \
-d '{
"model_url": "YOUR_MODEL_URL_OR_DATA_URI",
"height_meters": 1.8
}'
Response
{
"result": "018b314a-a1b5-716d-c222-2f1776f7f579"
}
पैरामीटर
- Name
- input_task_id
- Type
- string
- आवश्यक
- Description
यह तब तक आवश्यक है जब तक आप
model_urlनहीं भेजते। उस टास्क की ID जिसके मॉडल को आप रिग करना चाहते हैं। Meshy टेक्सचर्ड ह्यूमनॉइड मॉडल सपोर्ट करता है।मॉडल में अधिकतम 380,000 ट्राइऐंगल हो सकते हैं (एक क्वाड को 2 गिना जाता है), और इससे अधिक वाला मॉडल
400लौटाता है। लिमिट के भीतर रहने के लिए, पहले इस पर Remesh API कोtarget_polycountके साथ300000या उससे कम, याtopology: quadके साथ150000या उससे कम पर चलाएं।
- Name
- model_url
- Type
- string
- आवश्यक
- Description
यह तब तक आवश्यक है जब तक आप
input_task_idनहीं भेजते। रिग करने के लिए मॉडल, एक पब्लिक URL या डेटा यूआरआई के रूप में। यदि आप दोनों भेजते हैं, तो Meshyinput_task_idका उपयोग करता है।मॉडल
httpयाhttpsURL से अधिकतम 400 MB की, या डेटा यूआरआई के रूप में 100 MB की GLB (.glb) फ़ाइल होनी चाहिए। Rigging टेक्सचर्ड ह्यूमनॉइड मॉडल सपोर्ट करता है।मॉडल में अधिकतम 380,000 ट्राइऐंगल हो सकते हैं (एक क्वाड को 2 गिना जाता है), और इससे अधिक वाला मॉडल
400लौटाता है। लिमिट के भीतर रहने के लिए, पहले इस पर Remesh API कोtarget_polycountके साथ300000या उससे कम, याtopology: quadके साथ150000या उससे कम पर चलाएं।कैरेक्टर का चेहरा +Z एक्सिस की ओर होना चाहिए, जो मानक glTF आगे की दिशा है। यदि मॉडल किसी अन्य एक्सिस की ओर है, तो पोज़ एस्टीमेशन विफल हो जाता है।
100 MB से बड़ी फ़ाइल को इन नियमों का भी पालन करना चाहिए:
- इसमें अधिकतम 10,000,000 फेस हो सकते हैं। इससे अधिक वाली फ़ाइल
400लौटाती है। Meshy फेस को ट्राइऐंगल के रूप में गिनता है, और एक से अधिक बार बनाया गया मेश प्रत्येक कॉपी के लिए एक बार गिना जाता है। - इसमें Draco कंप्रेशन का उपयोग नहीं होना चाहिए।
- इसमें अधिकतम 10,000,000 फेस हो सकते हैं। इससे अधिक वाली फ़ाइल
- Name
- height_meters
- Type
- number
- डिफ़ॉल्ट 1.7
- Description
कैरेक्टर की अनुमानित ऊंचाई, मीटर में। Meshy इसका उपयोग मॉडल को अधिक सटीकता से स्केल और रिग करने के लिए करता है। नकारात्मक मान
400लौटाता है।
- Name
- texture_image_url
- Type
- string
- ⚠ पुराना
- Description
जब मॉडल की अपनी खुद की टेक्सचर हों, तो इसे छोड़ दें। इसके बिना, Meshy
model_urlफ़ाइल में एम्बेड की गई टेक्सचर, या इनपुट टास्क की टेक्सचर का उपयोग करता है। यदि आप इसे भेजते हैं, तो यह इमेज रिग्ड मॉडल की एकमात्र टेक्सचर बन जाती है, और मॉडल अपने PBR मैप खो देता है।मॉडल की UV-अनव्रैप्ड बेस कलर टेक्सचर, एक पब्लिक URL या डेटा यूआरआई के रूप में। इमेज अधिकतम 20 MB की PNG फ़ाइल होनी चाहिए। किसी अन्य इमेज फॉर्मेट पर
400लौटता है।
रिटर्न
रिस्पॉन्स के result फील्ड में नए Rigging टास्क की ID होती है।
विफलता के तरीके
- Name
400 - Bad Request- Description
रिक्वेस्ट नहीं चल सकती। एरर मैसेज बताता है कि इसे कौन सी समस्या मिली। उदाहरण के लिए:
- गायब पैरामीटर: न तो
model_urlऔर न हीinput_task_idभेजा गया था। - अमान्य मॉडल फॉर्मेट:
model_urlफ़ाइल में एक असमर्थित एक्सटेंशन है। केवल.glbसमर्थित है। - अनपहुंच योग्य URL: Meshy
model_urlफ़ाइल डाउनलोड नहीं कर सकता। - मॉडल फ़ाइल बहुत बड़ी है:
model_urlफ़ाइलhttpयाhttpsURL से 400 MB से अधिक है, या डेटा यूआरआई के रूप में 100 MB से अधिक है। - बहुत अधिक फेस:
model_urlफ़ाइल 100 MB से अधिक है और इसमें 10,000,000 से अधिक फेस हैं। फेस की संख्या कम करें, फिर फ़ाइल फिर से भेजें। - अपठनीय मॉडल फ़ाइल:
model_urlफ़ाइल 100 MB से अधिक है, और Meshy इसका हेडर नहीं पढ़ सकता। उदाहरण के लिए, यह एक Draco-कंप्रेस्ड GLB है। - मॉडल हेडर बहुत जटिल है:
model_urlफ़ाइल 100 MB से अधिक है, और इसके हेडर में जांचने के लिए बहुत अधिक मेश, नोड, या रिकॉर्ड हैं। फ़ाइल में ऑब्जेक्ट की संख्या कम करें, फिर इसे फिर से भेजें। - इमेज बहुत बड़ी है:
texture_image_urlइमेज 20 MB से अधिक है। - अमान्य टेक्सचर फॉर्मेट:
texture_image_urlइमेज एक PNG फ़ाइल नहीं है। - अमान्य ऊंचाई:
height_metersनकारात्मक है। - अमान्य इनपुट टास्क:
input_task_idकिसी वैध API टास्क को संदर्भित नहीं करता। - इनपुट टास्क तैयार नहीं है:
input_task_idटास्कSUCCEEDEDतक नहीं पहुंचा है। इसके सफल होने तक प्रतीक्षा करें, फिर फिर से प्रयास करें। - फेस काउंट पार हो गया: इनपुट मॉडल में 380,000 से अधिक ट्राइऐंगल हैं (एक क्वाड को 2 गिना जाता है)। मॉडल को रिग करने से पहले इस पर Remesh API को
target_polycountके साथ300000या उससे कम, याtopology: quadके साथ150000या उससे कम पर चलाएं।
रिक्वेस्ट को ठीक करें, फिर इसे फिर से भेजें। देखें एरर।
- गायब पैरामीटर: न तो
- Name
401 - Unauthorized- Description
API की गायब है या अमान्य है।
Authorizationहेडर जांचें।
- Name
402 - Payment Required- Description
उदाहरण के लिए:
- अपर्याप्त क्रेडिट: अकाउंट के पास इस टास्क के लिए पर्याप्त क्रेडिट नहीं हैं, या अकाउंट क्रेडिट लिमिट तक पहुंच गया है। अपना क्रेडिट बैलेंस जांचें, फिर फिर से प्रयास करें।
- फ्री प्लान: टास्क बनाने के लिए पेड प्लान की आवश्यकता है। अपने सब्सक्रिप्शन सेटिंग्स में अपना प्लान अपग्रेड करें, फिर फिर से प्रयास करें।
- Name
403 - Forbidden- Description
input_task_idएक बास-रिलीफ मॉडल है, जिसे यह एंडपॉइंट रिग नहीं कर सकता। मैसेज हैThis model type does not support this operation। एक अलग मॉडल भेजें।
- Name
404 - Not Found- Description
Meshy को
input_task_idटास्क की फ़ाइलें नहीं मिल रही हैं। इनमें से कोई एक लागू होता है:- Meshy ने टास्क की फ़ाइलों को इसके
expires_atके बाद डिलीट कर दिया। टास्क को फिर से बनाएं, फिर उस टास्क की ID भेजें। - टास्क के पास रिगिंग के लिए आवश्यक कोई भी फ़ाइल नहीं है, जैसे प्रीव्यू इमेज, उदाहरण के लिए एक Convert टास्क। जिस टास्क से यह आया, उसे रिग करें, या मॉडल को
model_urlके रूप में भेजें।
- Meshy ने टास्क की फ़ाइलों को इसके
- Name
422 - Unprocessable Entity- Description
पोज़ एस्टीमेशन विफल रहा। मॉडल एक वैध ह्यूमनॉइड कैरेक्टर नहीं हो सकता है। एक ह्यूमनॉइड कैरेक्टर का मॉडल भेजें।
model_urlके लिए, यह भी जांचें कि कैरेक्टर +Z एक्सिस की ओर है।
- Name
429 - Too Many Requests- Description
आपने अपनी रेट लिमिट पार कर ली है। प्रतीक्षा करें, फिर फिर से प्रयास करें। देखें रेट लिमिट।
एक Rigging टास्क प्राप्त करें
किसी Rigging टास्क को उसकी ID के द्वारा लौटाता है।
Request
curl https://api.meshy.ai/openapi/v1/rigging/018b314a-a1b5-716d-c222-2f1776f7f579 \
-H "Authorization: Bearer ${YOUR_API_KEY}"
Response
{
"id": "018b314a-a1b5-716d-c222-2f1776f7f579",
"type": "rig",
"status": "SUCCEEDED",
"created_at": 1747032400453,
"progress": 100,
"started_at": 1747032401314,
"finished_at": 1747032418417,
"expires_at": 1747291618417,
"task_error": null,
"consumed_credits": 5,
"result": {
"rigged_character_fbx_url": "https://assets.meshy.ai/0630d47c-84b8-4d37-bc02-69e45d9272c1/tasks/018b314a-a1b5-716d-c222-2f1776f7f579/output/Character_output.fbx?Expires=...",
"rigged_character_glb_url": "https://assets.meshy.ai/0630d47c-84b8-4d37-bc02-69e45d9272c1/tasks/018b314a-a1b5-716d-c222-2f1776f7f579/output/Character_output.glb?Expires=...",
"basic_animations": {
"walking_glb_url": "https://assets.meshy.ai/0630d47c-84b8-4d37-bc02-69e45d9272c1/tasks/018b314a-a1b5-716d-c222-2f1776f7f579/output/Animation_Walking_withSkin.glb?Expires=...",
"walking_fbx_url": "https://assets.meshy.ai/0630d47c-84b8-4d37-bc02-69e45d9272c1/tasks/018b314a-a1b5-716d-c222-2f1776f7f579/output/Animation_Walking_withSkin.fbx?Expires=...",
"walking_armature_glb_url": "https://assets.meshy.ai/0630d47c-84b8-4d37-bc02-69e45d9272c1/tasks/018b314a-a1b5-716d-c222-2f1776f7f579/output/Animation_Walking_withSkin_armature.glb?Expires=...",
"running_glb_url": "https://assets.meshy.ai/0630d47c-84b8-4d37-bc02-69e45d9272c1/tasks/018b314a-a1b5-716d-c222-2f1776f7f579/output/Animation_Running_withSkin.glb?Expires=...",
"running_fbx_url": "https://assets.meshy.ai/0630d47c-84b8-4d37-bc02-69e45d9272c1/tasks/018b314a-a1b5-716d-c222-2f1776f7f579/output/Animation_Running_withSkin.fbx?Expires=...",
"running_armature_glb_url": "https://assets.meshy.ai/0630d47c-84b8-4d37-bc02-69e45d9272c1/tasks/018b314a-a1b5-716d-c222-2f1776f7f579/output/Animation_Running_withSkin_armature.glb?Expires=..."
}
}
}
पैरामीटर
- Name
- id
- Type
- path
- Description
create रिस्पॉन्स से प्राप्त टास्क ID।
रिटर्न वैल्यू
Rigging टास्क हटाएँ
किसी Rigging टास्क को स्थायी रूप से हटाता है, जिसमें उसके मॉडल और डेटा भी शामिल हैं। आप किसी डिलीट को वापस (undo) नहीं कर सकते।
Request
curl --request DELETE \
--url https://api.meshy.ai/openapi/v1/rigging/018b314a-a1b5-716d-c222-2f1776f7f579 \
-H "Authorization: Bearer ${YOUR_API_KEY}"
Response
// 200 OK on success, with an empty body.
//
// 409 Conflict when the task is IN_PROGRESS. The task keeps running:
{
"message": "Task is IN_PROGRESS and cannot be deleted. Credits for a task the worker has already started are not refundable; wait for it to reach SUCCEEDED, FAILED or CANCELED, then delete it."
}
पाथ पैरामीटर
- Name
- id
- Type
- path
- Description
हटाए जाने वाले टास्क की ID।
टास्क स्थिति
किसी PENDING टास्क को हटाने पर उसे बनाते समय इस्तेमाल हुए क्रेडिट वापस (रिफंड) कर दिए जाते हैं।
किसी IN_PROGRESS टास्क को हटाया नहीं जा सकता। रिक्वेस्ट 409 Conflict रिटर्न करती है,
और टास्क चलता रहता है। जिस टास्क ने शुरुआत कर ली है, Meshy उसके लिए रिफंड नहीं देता,
इसलिए उसे हटाने पर आपको क्रेडिट और परिणाम दोनों का नुकसान होगा। इसके SUCCEEDED, FAILED,
या CANCELED स्थिति तक पहुँचने का इंतज़ार करें, फिर उसे हटाएँ।
किसी अंतिम स्थिति (SUCCEEDED, FAILED, या CANCELED) वाले टास्क को हटाने पर
उसके क्रेडिट रिफंड नहीं होते।
रिटर्न वैल्यू
टास्क हटाए जाने पर 200 OK, या टास्क के IN_PROGRESS होने पर 409 Conflict।
List Rigging tasks
यह आपके Rigging टास्क की एक पेजिनेटेड सूची लौटाता है, जिसमें सबसे नया टास्क सबसे पहले होता है। सूची में पेज दर पेज जाने के लिए page_num और page_size का उपयोग करें।
आपके द्वारा API से बनाए गए टास्क API में ही रहते हैं और वेब ऐप में My Assets में दिखाई नहीं देते। किसी ऐसे टास्क को खोजने के लिए जिसकी ID अब आपके पास नहीं है, इस एंडपॉइंट का उपयोग करें।
Request
curl "https://api.meshy.ai/openapi/v1/rigging?page_num=1&page_size=20" \
-H "Authorization: Bearer ${YOUR_API_KEY}"
एक Rigging टास्क को स्ट्रीम करें
किसी Rigging टास्क के अपडेट्स को सर्वर-सेंट इवेंट्स (SSE) के रूप में स्ट्रीम करता है।
Request
curl -N https://api.meshy.ai/openapi/v1/rigging/018b314a-a1b5-716d-c222-2f1776f7f579/stream \
-H "Authorization: Bearer ${YOUR_API_KEY}"
Response Stream
// Error event example
event: error
data: {
"status_code": 404,
"message": "Task not found"
}
// Message event examples illustrate task progress.
// These examples are shortened. Each event holds the full task object.
event: message
data: {
"id": "018b314a-a1b5-716d-c222-2f1776f7f579",
"progress": 0,
"status": "PENDING"
}
event: message
data: {
"id": "018b314a-a1b5-716d-c222-2f1776f7f579",
"progress": 50,
"status": "IN_PROGRESS"
}
event: message
data: { // Example of a SUCCEEDED task event, with the same fields as the Rigging task object
"id": "018b314a-a1b5-716d-c222-2f1776f7f579",
"type": "rig",
"status": "SUCCEEDED",
"created_at": 1747032400453,
"progress": 100,
"started_at": 1747032401314,
"finished_at": 1747032418417,
"expires_at": 1747291618417,
"task_error": null,
"consumed_credits": 5,
"result": {
"rigged_character_fbx_url": "https://assets.meshy.ai/.../Character_output.fbx?...",
"rigged_character_glb_url": "https://assets.meshy.ai/.../Character_output.glb?...",
"basic_animations": {
"walking_glb_url": "https://assets.meshy.ai/.../Animation_Walking_withSkin.glb?...",
"walking_fbx_url": "https://assets.meshy.ai/.../Animation_Walking_withSkin.fbx?...",
"walking_armature_glb_url": "https://assets.meshy.ai/.../Animation_Walking_withSkin_armature.glb?...",
"running_glb_url": "https://assets.meshy.ai/.../Animation_Running_withSkin.glb?...",
"running_fbx_url": "https://assets.meshy.ai/.../Animation_Running_withSkin.fbx?...",
"running_armature_glb_url": "https://assets.meshy.ai/.../Animation_Running_withSkin_armature.glb?..."
}
}
}
पैरामीटर
- Name
- id
- Type
- path
- Description
क्रिएट रिस्पॉन्स से प्राप्त टास्क ID।
रिटर्न
Rigging टास्क ऑब्जेक्ट्स की एक स्ट्रीम सर्वर-सेंट इवेंट्स के रूप में।
हर इवेंट में पूरा टास्क ऑब्जेक्ट होता है, उसी फॉर्म में जो Get एंडपॉइंट रिटर्न करता है। जब तक टास्क PENDING या IN_PROGRESS स्थिति में है, तब तक इसके रिज़ल्ट फ़ील्ड्स में कोई वैल्यू नहीं होती।
रिगिंग टास्क ऑब्जेक्ट
एक रिगिंग टास्क ऑब्जेक्ट एक कैरेक्टर की रिगिंग का विवरण देता है। इसमें स्टेटस, progress, और टास्क सफल होने पर आउटपुट फाइलें होती हैं।
Properties
Example Rigging Task Object
{
"id": "018b314a-a1b5-716d-c222-2f1776f7f579",
"type": "rig",
"status": "SUCCEEDED",
"created_at": 1747032400453,
"progress": 100,
"started_at": 1747032401314,
"finished_at": 1747032418417,
"expires_at": 1747291618417,
"task_error": null,
"consumed_credits": 5,
"result": {
"rigged_character_fbx_url": "https://assets.meshy.ai/0630d47c-84b8-4d37-bc02-69e45d9272c1/tasks/018b314a-a1b5-716d-c222-2f1776f7f579/output/Character_output.fbx?Expires=...",
"rigged_character_glb_url": "https://assets.meshy.ai/0630d47c-84b8-4d37-bc02-69e45d9272c1/tasks/018b314a-a1b5-716d-c222-2f1776f7f579/output/Character_output.glb?Expires=...",
"basic_animations": {
"walking_glb_url": "https://assets.meshy.ai/0630d47c-84b8-4d37-bc02-69e45d9272c1/tasks/018b314a-a1b5-716d-c222-2f1776f7f579/output/Animation_Walking_withSkin.glb?Expires=...",
"walking_fbx_url": "https://assets.meshy.ai/0630d47c-84b8-4d37-bc02-69e45d9272c1/tasks/018b314a-a1b5-716d-c222-2f1776f7f579/output/Animation_Walking_withSkin.fbx?Expires=...",
"walking_armature_glb_url": "https://assets.meshy.ai/0630d47c-84b8-4d37-bc02-69e45d9272c1/tasks/018b314a-a1b5-716d-c222-2f1776f7f579/output/Animation_Walking_withSkin_armature.glb?Expires=...",
"running_glb_url": "https://assets.meshy.ai/0630d47c-84b8-4d37-bc02-69e45d9272c1/tasks/018b314a-a1b5-716d-c222-2f1776f7f579/output/Animation_Running_withSkin.glb?Expires=...",
"running_fbx_url": "https://assets.meshy.ai/0630d47c-84b8-4d37-bc02-69e45d9272c1/tasks/018b314a-a1b5-716d-c222-2f1776f7f579/output/Animation_Running_withSkin.fbx?Expires=...",
"running_armature_glb_url": "https://assets.meshy.ai/0630d47c-84b8-4d37-bc02-69e45d9272c1/tasks/018b314a-a1b5-716d-c222-2f1776f7f579/output/Animation_Running_withSkin_armature.glb?Expires=..."
}
}
}
- Name
- id
- Type
- string
- Description
टास्क ID। इसे एक अपारदर्शी (opaque) स्ट्रिंग मानें, और इसके फॉर्मेट पर निर्भर न रहें।
- Name
- type
- Type
- string
- Description
टास्क टाइप, हमेशा
rig।
- Name
- status
- Type
- string
- Description
टास्क स्टेटस,
PENDING,IN_PROGRESS,SUCCEEDED,FAILED, याCANCELEDमें से एक।
- Name
- progress
- Type
- integer
- Description
टास्क कितना पूरा हुआ है, प्रतिशत में। जब तक टास्क शुरू नहीं होता यह
0होता है और सफल होने पर100हो जाता है।
- Name
- created_at
- Type
- timestamp
- Description
टास्क बनाए जाने का समय, यूनिक्स मिलीसेकंड में।
- Name
- started_at
- Type
- timestamp
- Description
टास्क शुरू होने का समय, यूनिक्स मिलीसेकंड में। जब तक टास्क शुरू नहीं होता यह
0होता है।
- Name
- finished_at
- Type
- timestamp
- Description
टास्क खत्म होने का समय, यूनिक्स मिलीसेकंड में। जब तक टास्क खत्म नहीं होता यह
0होता है।
- Name
- expires_at
- Type
- timestamp
- Description
वह समय जब टास्क की परिणाम फाइलें समाप्त (expire) हो जाती हैं, यूनिक्स मिलीसेकंड में। इस समय के बाद, Meshy फाइलों को डिलीट कर सकता है।
- Name
- task_error
- Type
- object
- Description
टास्क के फेल होने पर एरर का विवरण। यह
nullहोता है जब तक स्टेटसFAILEDन हो। देखें एरर।
- Name
- consumed_credits
- Type
- integer
- Description
टास्क द्वारा उपयोग किए गए क्रेडिट की संख्या। यह तब मौजूद होता है जब स्टेटस
PENDING,IN_PROGRESS, याSUCCEEDEDहो।FAILEDटास्क के लिए यह0होता है, क्योंकि जब कोई टास्क फेल होता है तो Meshy क्रेडिट वापस कर देता है।
- Name
- result
- Type
- object
- Description
आउटपुट फाइल URL। जब तक टास्क सफल नहीं होता, प्रत्येक URL एक खाली स्ट्रिंग होता है, और
basic_animationsnullहोता है।- Name
rigged_character_fbx_url- Type
- string
- Description
रिग किए गए कैरेक्टर को FBX फाइल के रूप में डाउनलोड करने का URL।
- Name
rigged_character_glb_url- Type
- string
- Description
रिग किए गए कैरेक्टर को GLB फाइल के रूप में डाउनलोड करने का URL।
- Name
basic_animations- Type
- object (optional)
- Description
डिफॉल्ट वॉकिंग और रनिंग एनिमेशन के लिए डाउनलोड URL।
- Name
walking_glb_url- Type
- string
- Description
- स्किन के साथ वॉकिंग एनिमेशन, GLB फाइल के रूप में।
- Name
walking_fbx_url- Type
- string
- Description
- स्किन के साथ वॉकिंग एनिमेशन, FBX फाइल के रूप में।
- Name
walking_armature_glb_url- Type
- string
- Description
- वॉकिंग एनिमेशन का आर्मेचर, GLB फाइल के रूप में।
- Name
running_glb_url- Type
- string
- Description
- स्किन के साथ रनिंग एनिमेशन, GLB फाइल के रूप में।
- Name
running_fbx_url- Type
- string
- Description
- स्किन के साथ रनिंग एनिमेशन, FBX फाइल के रूप में।
- Name
running_armature_glb_url- Type
- string
- Description
- रनिंग एनिमेशन का आर्मेचर, GLB फाइल के रूप में।
- Name
- preceding_tasks
- Type
- integer
- Description
कतार (queue) में इस टास्क से आगे मौजूद टास्कों की संख्या। यह वैल्यू केवल तभी मायने रखती है जब टास्क
PENDINGहो। जब वैल्यू0होती है तो इस फील्ड को छोड़ दिया जाता है।